Conteníu

# Mid Function, Mid Statement

Devuelve la porción especificada d'una espresión de cadena (función Mid) o sustitúi la parte d'una espresión de cadena por otra cadena (instrucción Mid).

### Syntax:

    Mid (Testu As String, Empecipio As Integer [, Longitud As Integer]) o Mid (Testu As String, Empecipio As Integer , Longitud As Integer, Testu As String)

### Return value:

Cadena (namái la función)

### Parameters:

Testu: Cualquier espresión de cadena que se deseye modificar.

Start: Numeric expression that indicates the character position within the string where the string portion that you want to replace or to return begins. The minimum allowed value is 1. The maximum allowed value is 2,147,483,648.

Length: Numeric expression that returns the number of characters that you want to replace or return. The maximum allowed value is 2,147,483,648.

Si omítese'l parámetru de llargor de la función Mid, devuélvense tolos caráuteres de la espresión de cadena, dende la posición d'entamu hasta'l final de la cadena.

Si'l parámetru de llargor de la instrucción Mid ye inferior al llargor del testu que se deseya sustituyir, el testu amenorgar al llargor especificáu.

Testu: La cadena que va sustituyir a la espresión de cadena (instrucción Mid).

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Escriba una data en formatu internacional 'AAAA-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Temes rellacionaos

String functions